import { defHttp } from '/@/utils/http/axios';

enum Api {
  list = 'https://openapi.tradesparq.com/cds_v2/old_api/record',
}

// 定义请求参数类型
export interface TradeRecordQueryParams {
  sortBy?: 'date' | 'weight';
  page?: number;
  pageSize?: number;
  // 可以根据实际需求添加其他查询参数
}

// 定义响应数据类型
export interface TradeRecordResponse {
  total: number;
  records: Array<{
    // 根据实际返回数据定义具体字段
    id: string;
    date: string;
    weight: number;
    [key: string]: any;
  }>;
}

/**
 * 获取交易详单列表及总数
 * @param params 查询参数
 * @returns Promise<TradeRecordResponse>
 */
export const list = (params: TradeRecordQueryParams) => {
  return defHttp.post<TradeRecordResponse>({
    url: Api.list,
    params,
  });
};
